Bug Hunting Session
Bug 117458 - Selection doesn't move left nor right by pressing ENTER
Summary: Selection doesn't move left nor right by pressing ENTER
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Cell-Selection
  Show dependency treegraph
 
Reported: 2018-05-06 14:52 UTC by geraldg
Modified: 2018-07-08 06:00 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description geraldg 2018-05-06 14:52:20 UTC
Go to Tools -> Options -> LibreOffice Calc -> General
Select Left or Right
Press OK

The cursor doesn't move when you press Enter.
If Down of Up is selected it works.
Comment 1 Xavier Van Wijmeersch 2018-05-06 15:01:00 UTC
confirm

Version: 6.1.0.0.alpha1+
Build ID: 4ed3137022efa6128ad146e4b4dfae13548431dc
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-05-04_01:13:51
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 2 V Stuart Foote 2018-05-07 00:29:52 UTC
"Press Enter to move selection" LB, setting UP or DOWN is correct. But as noted setting LEFT or RIGHT does not get connected to the Enter key for movement.
Comment 3 V Stuart Foote 2018-05-07 03:07:50 UTC
From builds on hand between 2018-01-30 and 2018-02-08

https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=3deac9691011711a3b9e50d19499c588af074d7f..609888f3c8d6c0fe72c41ac26de431a12ad3fdd0

Needs a proper bibisect...
Comment 4 Xisco Faulí 2018-05-07 12:00:36 UTC
Regression introduced by:

author	tagezi <lera.goncharuk@gmail.com>	2018-01-26 16:26:53 +0300
committer	Eike Rathke <erack@redhat.com>	2018-01-30 23:12:04 +0100
commit	b0a391d62c1df7525069a02913a52af940d92ecc (patch)
tree	bee67e6d891cb3881817e23c0b757119e29a0312
parent	b7896ade3e54c6809f588c3f2deab02b3d803a26 (diff)
Circular movement of cursor in a table with hidden columns/rows, tdf#68290 related
If there is a table with range on the edges of the hidden columns/rows,
it allows you to quickly jump to the beginning/end of a neighboring
column using Enter/Shift+Enter

Bisected with: bibisect-linux64-6.1

Adding Cc: to tagezi
Comment 5 Eike Rathke 2018-07-03 17:15:43 UTC
Taking.
Comment 6 Commit Notification 2018-07-04 12:12:08 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d774434743fbc40a5d19daadc9d5b73d2552c41

Resolves: tdf#117458 let Enter move left/right again, tdf#68290 follow-up

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Eike Rathke 2018-07-04 12:12:46 UTC
Pending Jenkins build for 6-1 https://gerrit.libreoffice.org/56946
Comment 8 Commit Notification 2018-07-04 16:08:15 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9107d6873df273463d8ed6a221cb8978043c19e&h=libreoffice-6-1

Resolves: tdf#117458 let Enter move left/right again, tdf#68290 follow-up

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2018-07-05 11:18:32 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 0e83efbccc180c957f77291fc0fdc6dd74eae0f4
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Eike, Thanks for fixing this!!
Comment 10 Xavier Van Wijmeersch 2018-07-05 13:27:24 UTC
Verified in

Version: 6.1.0.1.0+
Build ID: 7d0426a26f59ecf19a5e58b1554af884ddc56948
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 11 Commit Notification 2018-07-08 06:00:06 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=107af098311beafaadb343c5a3634389f56006a0

uitest for bug tdf#117458

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.